<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.GoutCollectionActivity">

    <include layout="@layout/title_tool_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/list_bg"
            android:orientation="vertical">

            <!-- <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/search_shape"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:hint="@color/white"
                android:src="@mipmap/search" />

            <EditText
                android:id="@+id/search_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="2dp"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:hint="请输入板车号"
                android:imeOptions="actionDone"
                android:inputType="text"
                android:maxLines="1"
                android:singleLine="true"
                android:textSize="16dp" />

            <ImageView
                android:id="@+id/scanCodeImg"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:src="@mipmap/scan_code" />

            <TextView
                android:id="@+id/search"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:gravity="center_vertical"
                android:text="搜索"
                android:textColor="@color/colorPrimary"
                />
        </LinearLayout>-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="10dp"
                android:orientation="horizontal">

                <LinearLayout
                    style="@style/ll_search"
                    android:onClick="@{viewModel::dateClick}">

                    <TextView
                        android:id="@+id/fdate"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请选择航班日期"
                        android:singleLine="true"
                        android:textSize="15dp" />

                    <ImageView
                        android:id="@+id/wbNoScanIcon"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:src="@mipmap/img_date" />

                </LinearLayout>

                <LinearLayout
                    style="@style/ll_search"
                    android:layout_marginLeft="20dp">

                    <EditText
                        android:id="@+id/fno"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入航班号"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                </LinearLayout>

                <LinearLayout
                    style="@style/ll_search"
                    android:layout_marginLeft="20dp">

                    <EditText
                        android:id="@+id/fdest"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入目的港"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                </LinearLayout>

                <LinearLayout
                    style="@style/ll_search"
                    android:layout_marginLeft="20dp">

                    <EditText
                        android:id="@+id/search_content"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入平板车"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                    <ImageView
                        android:id="@+id/scanCodeImg"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:src="@mipmap/scan_code" />

                </LinearLayout>

                <!--            搜索图标-->
                <LinearLayout
                    android:id="@+id/search"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="20dp"
                    android:background="@drawable/search_shape_gnc_ware_house2"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:src="@drawable/img_search"
                        app:tint="@color/colorPrimary" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/add"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="20dp"
                    android:background="@drawable/search_shape_gnc_ware_house2"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:src="@drawable/img_add"
                        app:tint="@color/colorPrimary" />
                </LinearLayout>

                <LinearLayout
                    style="@style/ll_search_blank"
                    android:layout_marginLeft="20dp">

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_weight="1">

                <com.scwang.smart.refresh.layout.SmartRefreshLayout
                    android:id="@+id/refreshLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <com.scwang.smart.refresh.header.ClassicsHeader
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/guo_nei_collect_list"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:overScrollMode="never"
                        tools:listitem="@layout/gnc_fu_bang_list_item" />

                    <com.scwang.smart.refresh.footer.ClassicsFooter
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.scwang.smart.refresh.layout.SmartRefreshLayout>

            </LinearLayout>
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="合计："
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="3"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="辆"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>